Google is committed to advancing racial equity for Black communities. See how.
This page was translated by the Cloud Translation API.
Switch to English

ประกาศความปลอดภัยของ Android - พฤศจิกายน 2018

เผยแพร่เมื่อ 5 พฤศจิกายน 2018 | อัปเดตเมื่อ 5 พฤศจิกายน 2561

กระดานข่าวความปลอดภัยของ Android มีรายละเอียดของช่องโหว่ด้านความปลอดภัยที่ส่งผลต่ออุปกรณ์ Android แพตช์ความปลอดภัยระดับ 2018-11-05 หรือใหม่กว่าช่วยแก้ปัญหาเหล่านี้ทั้งหมด หากต้องการเรียนรู้วิธีตรวจสอบระดับแพตช์ความปลอดภัยของอุปกรณ์โปรดดู ตรวจสอบและอัปเดตเวอร์ชัน Android ของคุณ

พาร์ทเนอร์ Android จะได้รับแจ้งเกี่ยวกับปัญหาทั้งหมดอย่างน้อยหนึ่งเดือนก่อนการเผยแพร่ แพตช์ซอร์สโค้ดสำหรับปัญหาเหล่านี้ได้รับการเผยแพร่ไปยังที่เก็บ Android Open Source Project (AOSP) และเชื่อมโยงจากกระดานข่าวสารนี้ กระดานข่าวสารนี้ยังมีลิงก์ไปยังแพตช์ภายนอก AOSP

ช่องโหว่ที่รุนแรงที่สุดในส่วนนี้อาจทำให้ผู้โจมตีที่อยู่ใกล้โดยใช้ไฟล์ที่สร้างขึ้นมาเป็นพิเศษเพื่อเรียกใช้รหัสโดยพลการภายในบริบทของกระบวนการที่มีสิทธิพิเศษ การ ประเมินความรุนแรง ขึ้นอยู่กับผลกระทบของการใช้ประโยชน์จากช่องโหว่ที่อาจเกิดขึ้นกับอุปกรณ์ที่ได้รับผลกระทบโดยสมมติว่าแพลตฟอร์มและการลดการให้บริการถูกปิดเพื่อวัตถุประสงค์ในการพัฒนาหรือหากข้ามได้สำเร็จ

เราไม่มีรายงานเกี่ยวกับการแสวงหาประโยชน์จากลูกค้าหรือการละเมิดปัญหาที่รายงานใหม่เหล่านี้ โปรดดูส่วนการ ลดการป้องกัน ของ Android และ Google Play สำหรับรายละเอียดเกี่ยวกับการ ป้องกันแพลตฟอร์มความปลอดภัยของ Android และ Google Play Protect ซึ่งปรับปรุงความปลอดภัยของแพลตฟอร์ม Android

หมายเหตุ: ข้อมูลเกี่ยวกับการอัปเดตแบบ over-the-air (OTA) ล่าสุดและอิมเมจเฟิร์มแวร์สำหรับอุปกรณ์ Google มีอยู่ใน Pixel / Nexus Security Bulletin ประจำเดือนพฤศจิกายน 2018

ประกาศ

มีการระบุปัญหาด้านความปลอดภัยหลายประการในไลบรารี Libxaac รวมถึง CVE-2018-9528, CVE-2018-9529, CVE-2018-9530, CVE-2018-9531, CVE-2018-9532, CVE-2018-9533, CVE-2018 -9534, CVE-2018-9535, CVE-2018-9569, CVE-2018-9570, CVE-2018-9571, CVE-2018-9572, CVE-2018-9573, CVE-2018-9574, CVE-2018-9575 , CVE-2018-9576, CVE-2018-9577 และ CVE-2018-9578

ไลบรารีถูกทำเครื่องหมายว่าเป็นแบบทดลองและไม่รวมอยู่ในรุ่น Android ที่ใช้งานจริงอีกต่อไป

การบรรเทาบริการ Android และ Google

นี่คือบทสรุปของการบรรเทา ความ เสียหายจาก แพลตฟอร์มความปลอดภัยของ Android และการป้องกันบริการเช่น Google Play Protect ความสามารถเหล่านี้ช่วยลดโอกาสที่ช่องโหว่ด้านความปลอดภัยอาจถูกใช้ประโยชน์บน Android ได้สำเร็จ

  • การแสวงหาประโยชน์จากปัญหาต่างๆบน Android ทำได้ยากขึ้นโดยการปรับปรุงในแพลตฟอร์ม Android เวอร์ชันใหม่กว่า เราขอแนะนำให้ผู้ใช้ทุกคนอัปเดตเป็น Android เวอร์ชันล่าสุดหากเป็นไปได้
  • ทีมรักษาความปลอดภัยของ Android คอยตรวจสอบการละเมิดผ่าน Google Play Protect และเตือนผู้ใช้เกี่ยวกับ แอปพลิเคชันที่อาจเป็นอันตราย Google Play Protect จะเปิดใช้งานโดยค่าเริ่มต้นบนอุปกรณ์ที่มี บริการมือถือของ Google และมีความสำคัญอย่างยิ่งสำหรับผู้ใช้ที่ติดตั้งแอปจากภายนอก Google Play

2018-11-01 รายละเอียดช่องโหว่ระดับแพตช์ความปลอดภัย

ในส่วนด้านล่างเราให้รายละเอียดสำหรับช่องโหว่ด้านความปลอดภัยแต่ละรายการที่ใช้กับระดับแพตช์ 2018-11-01 ช่องโหว่ถูกจัดกลุ่มภายใต้องค์ประกอบที่มีผลกระทบ มีคำอธิบายของปัญหาและตารางที่มี CVE การอ้างอิงที่เกี่ยวข้อง ประเภทของช่องโหว่ ความรุนแรง และเวอร์ชัน AOSP ที่อัปเดต (ถ้ามี) เมื่อมีเราจะเชื่อมโยงการเปลี่ยนแปลงสาธารณะที่แก้ไขปัญหากับรหัสข้อบกพร่องเช่นรายการการเปลี่ยนแปลง AOSP เมื่อการเปลี่ยนแปลงหลายอย่างเกี่ยวข้องกับจุดบกพร่องเดียวการอ้างอิงเพิ่มเติมจะเชื่อมโยงกับตัวเลขตามรหัสข้อบกพร่อง

กรอบ

ช่องโหว่ที่รุนแรงที่สุดในส่วนนี้อาจทำให้แอปพลิเคชันที่เป็นอันตรายในพื้นที่สามารถเรียกใช้รหัสตามอำเภอใจภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง ประเภท ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2018-9522 A-112550251 EoP สูง 9
CVE-2018-9524 A-34170870 EoP สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2018-9525 A-111330641 EoP สูง 9

กรอบสื่อ

ช่องโหว่ที่รุนแรงที่สุดในส่วนนี้อาจทำให้ผู้โจมตีจากระยะไกลโดยใช้ไฟล์ที่สร้างขึ้นมาเป็นพิเศษเพื่อเรียกใช้รหัสโดยพลการภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง ประเภท ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2018-9527 A-112159345 RCE สำคัญ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2018-9531 A-112661641 RCE สำคัญ 9
CVE-2018-9536 A-112662184 EoP สำคัญ 9
CVE-2018-9537 A-112891564 EoP สำคัญ 9
CVE-2018-9521 A-111874331 RCE สูง 9
CVE-2018-9539 A-113027383 EoP สูง 8.0, 8.1, 9

ระบบ

ช่องโหว่ที่รุนแรงที่สุดในส่วนนี้อาจทำให้ผู้โจมตีจากระยะไกลสามารถเข้าถึงข้อมูลโดยปกติจะเข้าถึงได้เฉพาะแอปพลิเคชันที่ติดตั้งในเครื่องที่มีสิทธิ์เท่านั้น

CVE อ้างอิง ประเภท ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2018-9540 A-111450417 ID สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2018-9542 A-111896861 ID สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2018-9543 A-112868088 ID สูง 9
CVE-2018-9544 A-113037220 ID สูง 9
CVE-2018-9545 A-113111784 ID สูง 9
CVE-2018-9541 A-111450531 ID ปานกลาง 9
ID สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1

2018-11-05 รายละเอียดช่องโหว่ระดับแพตช์ความปลอดภัย

ในส่วนด้านล่างเราให้รายละเอียดสำหรับช่องโหว่ด้านความปลอดภัยแต่ละรายการที่ใช้กับระดับแพตช์ 2018-11-05 ช่องโหว่จะถูกจัดกลุ่มภายใต้องค์ประกอบที่มีผลกระทบและรวมถึงรายละเอียดต่างๆเช่น CVE การอ้างอิงที่เกี่ยวข้อง ประเภทของช่องโหว่ ความรุนแรง องค์ประกอบ (หากมี) และเวอร์ชัน AOSP ที่อัปเดต (หากมี) เมื่อมีให้เราเชื่อมโยงการเปลี่ยนแปลงสาธารณะที่แก้ไขปัญหากับรหัสข้อบกพร่องเช่นรายการการเปลี่ยนแปลง AOSP เมื่อการเปลี่ยนแปลงหลายอย่างเกี่ยวข้องกับจุดบกพร่องเดียวการอ้างอิงเพิ่มเติมจะเชื่อมโยงกับตัวเลขตามรหัสข้อบกพร่อง

กรอบ

ช่องโหว่ที่รุนแรงที่สุดในส่วนนี้อาจทำให้แอปพลิเคชันที่เป็นอันตรายในพื้นที่สามารถเรียกใช้รหัสโดยอำเภอใจภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง ประเภท ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2018-9523 A-112859604 EoP สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

ส่วนประกอบ Qualcomm

ช่องโหว่ที่รุนแรงที่สุดในส่วนนี้อาจทำให้แอปพลิเคชันที่เป็นอันตรายในพื้นที่สามารถเรียกใช้รหัสตามอำเภอใจภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง ประเภท ความรุนแรง ส่วนประกอบ
CVE-2017-15818 A-68992408
QC-CR # 2078580
ไม่มี สูง EcoSystem
CVE-2018-11995 A-71501677
QC-CR # 2129639
ไม่มี สูง Bootloader
CVE-2018-11905 A-112277889
QC-CR # 2090797
ไม่มี สูง DSP_Services

ส่วนประกอบปิดของ Qualcomm

ช่องโหว่เหล่านี้ส่งผลกระทบต่อส่วนประกอบของ Qualcomm และมีการอธิบายรายละเอียดเพิ่มเติมในกระดานข่าวความปลอดภัย Qualcomm AMSS หรือการแจ้งเตือนด้านความปลอดภัย การประเมินความรุนแรงของปัญหาเหล่านี้จัดทำโดย Qualcomm โดยตรง

CVE อ้างอิง ประเภท ความรุนแรง ส่วนประกอบ
CVE-2017-18317 A-78244877 * ไม่มี สำคัญ องค์ประกอบปิด
CVE-2018-5912 A-79420111 * ไม่มี สำคัญ องค์ประกอบปิด
CVE-2018-11264 A-109677962 * ไม่มี สำคัญ องค์ประกอบปิด
CVE-2016-10502 A-68326808 * ไม่มี สูง องค์ประกอบปิด
CVE-2017-18316 A-78240714 * ไม่มี สูง องค์ประกอบปิด
CVE-2017-18318 A-78240675 * ไม่มี สูง องค์ประกอบปิด
CVE-2017-18315 A-78241957 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-11994 A-72950294 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-11996 A-74235967 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-5870 A-77484722 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-5877 A-77484786 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-5916 A-79420492 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-5917 A-79420096 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-11269 A-109678529 * ไม่มี สูง องค์ประกอบปิด

คำถามและคำตอบทั่วไป

ส่วนนี้ตอบคำถามทั่วไปที่อาจเกิดขึ้นหลังจากอ่านกระดานข่าวสารนี้

1. ฉันจะทราบได้อย่างไรว่าอุปกรณ์ของฉันได้รับการอัปเดตเพื่อแก้ไขปัญหาเหล่านี้หรือไม่?

หากต้องการเรียนรู้วิธีตรวจสอบระดับแพตช์ความปลอดภัยของอุปกรณ์โปรดดู ตรวจสอบและอัปเดตเวอร์ชัน Android ของคุณ

  • ระดับแพตช์ความปลอดภัย 2018-11-01 หรือใหม่กว่าแก้ไขปัญหาทั้งหมดที่เกี่ยวข้องกับระดับแพตช์ความปลอดภัย 2018-11-01
  • ระดับแพตช์ความปลอดภัย 2018-11-05 หรือใหม่กว่าจะแก้ไขปัญหาทั้งหมดที่เกี่ยวข้องกับระดับแพตช์ความปลอดภัย 2018-11-05 และระดับแพตช์ก่อนหน้าทั้งหมด

ผู้ผลิตอุปกรณ์ที่มีการอัปเดตเหล่านี้ควรตั้งค่าระดับสตริงโปรแกรมแก้ไขเป็น:

  • [ro.build.version.security_patch]: [2018-11-01]
  • [ro.build.version.security_patch]: [2018-11-05]

2. เหตุใดแถลงการณ์นี้จึงมีแพตช์ความปลอดภัยสองระดับ

กระดานข่าวนี้มีแพตช์ความปลอดภัยสองระดับเพื่อให้พาร์ทเนอร์ Android มีความยืดหยุ่นในการแก้ไขช่องโหว่ส่วนย่อยที่คล้ายกันในอุปกรณ์ Android ทั้งหมดได้เร็วขึ้น ขอแนะนำให้พันธมิตร Android แก้ไขปัญหาทั้งหมดในกระดานข่าวสารนี้และใช้ระดับแพตช์ความปลอดภัยล่าสุด

  • อุปกรณ์ที่ใช้ระดับแพตช์ความปลอดภัย 2018-11-01 ต้องมีปัญหาทั้งหมดที่เกี่ยวข้องกับระดับแพตช์ความปลอดภัยนั้นตลอดจนการแก้ไขปัญหาทั้งหมดที่รายงานในกระดานข่าวความปลอดภัยก่อนหน้านี้
  • อุปกรณ์ที่ใช้แพตช์ความปลอดภัยระดับ 2018-11-05 หรือใหม่กว่าต้องรวมแพตช์ที่เกี่ยวข้องทั้งหมดไว้ในกระดานข่าวความปลอดภัยนี้ (และก่อนหน้า)

พันธมิตรได้รับการสนับสนุนให้รวมการแก้ไขสำหรับปัญหาทั้งหมดที่กำลังแก้ไขอยู่ในการอัปเดตเดียว

3. รายการในคอลัมน์ Type หมายถึงอะไร?

รายการในคอลัมน์ Type ของตารางรายละเอียดช่องโหว่จะอ้างอิงการจัดประเภทของช่องโหว่ด้านความปลอดภัย

ตัวย่อ คำจำกัดความ
RCE การเรียกใช้รหัสระยะไกล
EoP การยกระดับสิทธิพิเศษ
ID การเปิดเผยข้อมูล
DoS การปฏิเสธการให้บริการ
ไม่มี ไม่มีการจัดประเภท

4. รายการในคอลัมน์ อ้างอิง หมายถึงอะไร?

รายการในคอลัมน์ การอ้างอิง ของตารางรายละเอียดช่องโหว่อาจมีคำนำหน้าที่ระบุองค์กรที่มีค่าอ้างอิง

คำนำหน้า ข้อมูลอ้างอิง
ก - รหัสข้อบกพร่องของ Android
QC- หมายเลขอ้างอิงของ Qualcomm
M- หมายเลขอ้างอิง MediaTek
N- หมายเลขอ้างอิง NVIDIA
B- หมายเลขอ้างอิงของ Broadcom

5. เครื่องหมาย * ถัดจากรหัสข้อบกพร่องของ Android ในคอลัมน์ การอ้างอิง หมายความว่าอย่างไร

ปัญหาที่ไม่เปิดเผยต่อสาธารณะจะมีเครื่องหมาย * ถัดจากรหัสข้อบกพร่องของ Android ในคอลัมน์ การอ้างอิง โดยทั่วไปการอัปเดตสำหรับปัญหานั้นจะอยู่ในไดรเวอร์ไบนารีล่าสุดสำหรับอุปกรณ์ Pixel / Nexus ที่มีให้จาก ไซต์ Google Developer

6. เหตุใดช่องโหว่ด้านความปลอดภัยจึงแยกระหว่างกระดานข่าวนี้กับกระดานข่าวความปลอดภัยของอุปกรณ์ / พันธมิตรเช่นกระดานข่าว Pixel / Nexus

ช่องโหว่ด้านความปลอดภัยที่บันทึกไว้ในกระดานข่าวความปลอดภัยนี้จำเป็นสำหรับการประกาศระดับแพตช์ความปลอดภัยล่าสุดบนอุปกรณ์ Android ช่องโหว่ด้านความปลอดภัยเพิ่มเติมที่บันทึกไว้ในกระดานข่าวความปลอดภัยของอุปกรณ์ / พันธมิตรไม่จำเป็นสำหรับการประกาศระดับแพตช์ความปลอดภัย ผู้ผลิตอุปกรณ์และชิปเซ็ต Android ได้รับการสนับสนุนให้บันทึกการมีอยู่ของการแก้ไขอื่น ๆ บนอุปกรณ์ของตนผ่านเว็บไซต์ความปลอดภัยของตนเองเช่นประกาศความปลอดภัยของ Samsung , LGE หรือ Pixel / Nexus

เวอร์ชัน

เวอร์ชัน วันที่ หมายเหตุ
1.0 5 พฤศจิกายน 2561 เผยแพร่แถลงการณ์แล้ว
1.1 5 พฤศจิกายน 2561 ปรับปรุงกระดานข่าวสารเพื่อรวมลิงก์ AOSP